{% extends "references_manager/base.html" %}
{% load crispy_forms_tags %}

{% block title %}- Edit product: {{ product.name }}{% endblock %}

{% block content %}

<div class="container col-12">
    <div class="container bg-white rounded shadow">
        <form method="POST" enctype="multipart/form-data">
            <div class="row">

                <div class="form-group col-md-6">


                        {% csrf_token %}
                        <h2>Edit product: {{ product }}</h2>
                        <a href="{% url 'delete-product' product.id %}" class="btn btn-outline-danger"
                           onclick="return confirm('You are going to delete {{ product.name }}. All cross references assigned to this product will be also deleted. Are you sure?')">
                            <span class="fa fa-trash-o"></span> Delete this product
                        </a>
                        <hr/>
                        {{ p_form|crispy }}
                        <hr/>
                        <h4>Delete files if needed:</h4>
                        <ul>
                        {% for file in product.files.all %}
                            {% if file.file %}
                            <small><li><a href="{% url 'download' file.id %}"><b>{{ file }}</b></a> ({{ file.file_size }}) <a href="{% url 'delete-file' file.id %}">(Delete <i class="fa fa-trash-o" aria-hidden="true"></i>)</a></li></small>
                            {% endif %}
                        {% endfor %}
                        </ul>
                        <hr/>
                        <h4>Add files if needed:</h4>
                        {{ formset_f.management_form|crispy }}
                            {% for form in formset_f.forms %}
                                {% for hidden in form.hidden_fields %}
                                    {{ hidden }}
                                {% endfor %}
                                {% for field in form.visible_fields %}
                                    {{ field|as_crispy_field }}
                                {% endfor %}
                            {% endfor %}

                </div>
                <div class="form-group col-md-6">


                    <h2>Add new references</h2>
                    <div class="row" id="form_set">
                        {{ formset_r.management_form|crispy }}
                            {% for form in formset_r.forms %}
                                {% for hidden in form.hidden_fields %}
                                    {{ hidden }}
                                {% endfor %}
                                {% for field in form.visible_fields %}
                                    <div class="col-6">
                                        {{ field|as_crispy_field }}
                                    </div>
                                {% endfor %}

                            {% endfor %}

                    </div>

                    <button type="submit" class="btn btn-info"><span class="fa fa-floppy-o"></span> Save</button>
                </div>


            </div>

        </form>
    </div>
</div>

{% endblock content %}